Bug 4782

Summary: osso.Context causes segmentation fault
Product: [Extras] PyMaemo Reporter: Andrew Flegg <andrew>
Component: GeneralAssignee: Anderson Lizardo <anderson.lizardo>
Status: RESOLVED FIXED QA Contact: general
Severity: critical    
Priority: Medium CC: anderson.lizardo, bruno.araujo, mvartiainen
Version: unspecified   
Target Milestone: Fremantle   
Hardware: x86   
OS: Linux   

Description Andrew Flegg (reporter) maemo.org 2009-07-15 00:40:38 UTC
SOFTWARE VERSION:
5.0-beta2

STEPS TO REPRODUCE THE PROBLEM: (may be Python specific)
1) apt-get install python-runtime
2) echo -e '[D-BUS Service]\nName=org.maemo.horizon\nExec=/usr/bin/horizon'
>/usr/share/dbus-1/services/horizon.service
2) echo -e 'import osso\nosso.Context("org.maemo.horizon", "0.0.1", False)' |
python2.5

EXPECTED OUTCOME:
Python script exits normally.

ACTUAL OUTCOME:
Segmentation fault (core dumped)

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:
python-runtime: 1.0-11

OTHER COMMENTS:
This may be a PyMaemo specific bug; I haven't yet tested with a small C
program. Independent analysis welcome.

FWIW, the same segfault occurred in the earlier Maemo 5 beta SDK, but does not
occur in Scratchbox running Diablo.


User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:1.9.0.11)
Gecko/2009060309 Ubuntu/9.04 (jaunty) Firefox/3.0.11
Comment 1 Andrew Flegg (reporter) maemo.org 2009-07-15 00:55:31 UTC
The following C program does not exhibit the problem, so moving to PyMaemo
product and bumping severity in relation to that product:

--------8<--------
#include <libosso.h>

int main(int argc, char* argv[]) {
    osso_initialize("org.maemo.horizon", "0.0.1", 0, NULL);
}
-------->8--------
gcc `pkg-config --cflags --libs libosso` osso-test.c
Comment 2 Andrew Flegg (reporter) maemo.org 2009-07-15 23:10:59 UTC
A Nokian with access to a Maemo 5 device confirmed to me that step 3 causes a
segmentation fault there too; so it's not limited to the SDK only.
Comment 3 Mikko Vartiainen 2009-07-30 15:42:40 UTC
Solarwolf_1.5-2maemo2 has

osso_c = osso.Context("solarwolf", "0.0.1", False)

and Andre Klapper reports[1] that it works on Maemo5 device. 

[1] http://talk.maemo.org/showpost.php?p=307707&postcount=45
Comment 4 Bruno Araujo 2009-08-12 01:14:42 UTC
Fixed in version 0.3-2maemo4, that should be available on extras-devel soon.
Comment 5 Anderson Lizardo 2009-08-12 01:30:53 UTC
Bug fixed, 0.3-2maemo4 available in extras-devel.

Andrew: can you test this new version and confirm that it fixes the issue for
your package(s)?
Comment 6 Daniel Martin Yerga 2009-08-12 12:54:55 UTC
Definitely the bug it's fixed and it's working in the SDK. Thanks guys!